SCSI_DEV_INFO_LIST_A(9)

NAME
scsi_dev_info_list_add_str - parse dev_list and add to the scsi_dev_info_list.

SYNOPSIS

int scsi_dev_info_list_add_str(char * dev_list);

ARGUMENTS

dev_list
    string of device flags to add

DESCRIPTION

Parse dev_list, and add entries to the scsi_dev_info_list. dev_list is of the form “vendor:product:flag,vendor:product:flag”. dev_list is modified via strsep. Can be called for command line addition, for proc or mabye a sysfs interface.

RETURNS

0 if OK, -error on failure.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT